
Infrastructure - Task #7530

Story # 7526 (Closed): Add integration tests for ORCID and auth token support

Test MN.isAuthorized using auth token

2015-12-08 20:03 - Ben Leinfelder

Status: Closed Start date: 2015-12-08

Priority: Normal Due date:  

Assignee: Andrei Buium % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.2   

Milestone: None Story Points:  

Product Version: *   

Description

This would be best if Metacat 2.5.1 be installed on a MN, though 2.5.0 will still work with tokens generated by either CCI-2.0.0 or

CCI-2.0.1.

Essentially the same sequence as the CN test:

* generate non-DN auth token

* create object on the MN

* update object as that user

* attempt to update as different user

* etc...

History

#1 - 2015-12-16 19:48 - Ben Leinfelder

- Status changed from New to In Progress

- Assignee changed from Rob Nahf to Andrei Buium

- % Done changed from 0 to 30

Looks like there is a test for this in the AuthTokenTestImplementation test suite. Andrei, can you confirm?

#2 - 2015-12-16 19:57 - Andrei Buium

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0

Tests passing in sandbox for: MN create w/ token, MN update, MN.isAuthorized w/ token. (Includes a fix by Ben - extra check added for rightsHolder

in metacat update - was previously checking only against the submitter.)
